<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\goods_category;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\goods_category\GoodsCategoryLists;
use app\adminapi\logic\goods_category\GoodsCategoryLogic;
use app\adminapi\validate\goods_category\GoodsCategoryValidate;


/**
 * GoodsCategory控制器
 * Class GoodsCategoryController
 * @package app\adminapi\controller\goods_category
 */
class GoodsCategoryController extends BaseAdminController
{

    public array $notNeedLogin = ['treeData'];
    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:23
     */
    public function lists()
    {
        return $this->dataLists(new GoodsCategoryLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:23
     */
    public function add()
    {
        $params = (new GoodsCategoryValidate())->post()->goCheck('add');
        $result = GoodsCategoryLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(GoodsCategoryLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:23
     */
    public function edit()
    {
        $params = (new GoodsCategoryValidate())->post()->goCheck('edit');
        $result = GoodsCategoryLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(GoodsCategoryLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:23
     */
    public function delete()
    {
        $params = (new GoodsCategoryValidate())->post()->goCheck('delete');
        GoodsCategoryLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/07 18:23
     */
    public function detail()
    {
        $params = (new GoodsCategoryValidate())->goCheck('detail');
        $result = GoodsCategoryLogic::detail($params);
        return $this->data($result);
    }

   public function treeData()
   {
       $result = GoodsCategoryLogic::getTreeData();
       return $this->data($result);
   }
}